Parameters
audience
dictionary
name
string
Description
Updated name for the audience segment.
status
string
Description
Updated status: `draft`, `active`, or `inactive`.
filters
array | object
Description
Updated filter definition payload.
audience_type
string
Description
Updated audience type: `user` or `account`.
description
string
Description
Updated description.
PUT/v1/audiences/{{audience_id}}
bash
curl https://api.tradly.app/v1/audiences/{{audience_id}} \
-H "Authorization: Bearer YOUR_PUBLISHABLE_OR_SECRET_KEY" \
-H "Content-Type: application/json" \
-X PUT \
-d '{
"audience": {
"name": "High-Value Buyers Updated",
"status": "active",
"filters": [
{
"dimension": "user_type",
"operator": "includes",
"value": "buyer"
}
]
}
}'RESPONSE
json
{
"status": true,
"data": {
"audience": {
"id": 1
}
}
}